All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::transport::vrt::if_packet_info_t Struct Reference

`#include <vrt_if_packet.hpp>`

## Public Types

enum | packet_type_t { PACKET_TYPE_DATA = 0x0, PACKET_TYPE_EXTENSION = 0x1, PACKET_TYPE_CONTEXT = 0x2 }

## Public Attributes

enum uhd::transport::vrt::if_packet_info_t::packet_type_t | packet_type
size_t | num_payload_words32
size_t | num_payload_bytes
size_t | num_header_words32
size_t | num_packet_words32
size_t | packet_count
bool | sob
bool | eob
bool | has_sid
boost::uint32_t | sid
bool | has_cid
boost::uint64_t | cid
bool | has_tsi
boost::uint32_t | tsi
bool | has_tsf
boost::uint64_t | tsf
bool | has_tlr
boost::uint32_t | tlr

## Detailed Description

Definition for fields that can be packed into a vrt if header. The size fields are used for input and output depending upon the operation used (ie the pack or unpack function call).

## Member Enumeration Documentation

enum uhd::transport::vrt::if_packet_info_t::packet_type_t

Enumerator
PACKET_TYPE_DATA |
PACKET_TYPE_EXTENSION |
PACKET_TYPE_CONTEXT |

## Member Data Documentation

boost::uint64_t uhd::transport::vrt::if_packet_info_t::cid

bool uhd::transport::vrt::if_packet_info_t::eob

bool uhd::transport::vrt::if_packet_info_t::has_cid

bool uhd::transport::vrt::if_packet_info_t::has_sid

bool uhd::transport::vrt::if_packet_info_t::has_tlr

bool uhd::transport::vrt::if_packet_info_t::has_tsf

bool uhd::transport::vrt::if_packet_info_t::has_tsi

size_t uhd::transport::vrt::if_packet_info_t::num_header_words32

size_t uhd::transport::vrt::if_packet_info_t::num_packet_words32

size_t uhd::transport::vrt::if_packet_info_t::num_payload_bytes

size_t uhd::transport::vrt::if_packet_info_t::num_payload_words32

size_t uhd::transport::vrt::if_packet_info_t::packet_count

enum uhd::transport::vrt::if_packet_info_t::packet_type_t uhd::transport::vrt::if_packet_info_t::packet_type

boost::uint32_t uhd::transport::vrt::if_packet_info_t::sid

bool uhd::transport::vrt::if_packet_info_t::sob

boost::uint32_t uhd::transport::vrt::if_packet_info_t::tlr

boost::uint64_t uhd::transport::vrt::if_packet_info_t::tsf

boost::uint32_t uhd::transport::vrt::if_packet_info_t::tsi

The documentation for this struct was generated from the following file:

- include/uhd/transport/vrt_if_packet.hpp